export root
export epch
set root = SM-nsyl.100.raw.tan.dt01m2
read SM-nsyl.100.raw.tan.dt2m2.test.in

set currentNet.extension.dt			= 0.01
set currentNet.extension.graceTimePerSlice	= 0.0
set currentNet.extension.minTimePerSlice	= 0.0
set currentNet.extension.maxTimePerSlice	= 10.0
set currentNet.extension.timeAverageInputs 	= 1
set currentNet.extension.initialUnitOutput	= 0.5
set currentNet.extension.nonExtremalTarget	= 0.0
set currentNet.extension.zeroErrorRadius 	= 0.0

set currentNet.extension.correctTolerance	= 0.0	# diff from 0.5

set currentNet.extension.outputChangeTolerance	= 0.00005
set currentNet.extension.useAveOutputChange	= 1

set currentNet.extension.respProbCrit	 	= 0.0
set currentNet.extension.respProbNoise	 	= 0.0

set epch = 1900
echo loadPDPweights ../pdpwts/$root.$epch.pdpwts
     loadPDPweights ../pdpwts/$root.$epch.pdpwts


#echo "VALIDATION set is Taraban & McClelland words."
#echo "TESTING set is Glushko and Besner nonwords."
#
#############################################################################
# Hidden units
#############################################################################
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -lesion 0.050 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -lesion 0.075 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -lesion 0.100 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -lesion 0.150 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -lesion 0.200 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -lesion 0.300 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -lesion 0.050 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -lesion 0.075 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -lesion 0.100 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -lesion 0.150 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -lesion 0.200 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -lesion 0.300 -reps 50
#
#############################################################################
# Connections
#############################################################################
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Graphemes -post Hidden -lesion 0.05 -reps 50
#seed 98734
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Graphemes -post Hidden -lesion 0.05 -reps 15
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Graphemes -post Hidden -lesion 0.10 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Graphemes -post Hidden -lesion 0.20 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Graphemes -post Hidden -lesion 0.30 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Graphemes -post Hidden -lesion 0.05 -reps 35
#seed 98734
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Graphemes -post Hidden -lesion 0.05 -reps 15
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Graphemes -post Hidden -lesion 0.10 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Graphemes -post Hidden -lesion 0.20 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Graphemes -post Hidden -lesion 0.30 -reps 50
#
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -post Phonemes -lesion 0.010 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -post Phonemes -lesion 0.020 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -post Phonemes -lesion 0.025 -reps 50
#seed 98734
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -post Phonemes -lesion 0.025 -reps 18
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -post Phonemes -lesion 0.050 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Hidden -post Phonemes -lesion 0.100 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -post Phonemes -lesion 0.010 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -post Phonemes -lesion 0.020 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -post Phonemes -lesion 0.025 -reps 32
#seed 98734
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -post Phonemes -lesion 0.025 -reps 18
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -post Phonemes -lesion 0.050 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Hidden -post Phonemes -lesion 0.100 -reps 50
#
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.05 -reps 50
#seed 98734
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.05 -reps 12
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.10 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.20 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.30 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.40 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.50 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Phonemes -lesion 0.70 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.05 -reps 38
#seed 98734
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.05 -reps 12
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.10 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.20 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.30 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.40 -reps 50
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.50 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Phonemes -lesion 0.70 -reps 50
#
seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Hidden -lesion 0.6 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Hidden -lesion 0.7 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Hidden -lesion 0.8 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Hidden -lesion 0.9 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type VALIDATION -code E -pre Phonemes -post Hidden -lesion 1.0
#seed 234908
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Hidden -lesion 0.6 -reps 50
#pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Hidden -lesion 0.7 -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Hidden -lesion 0.8 -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Hidden -lesion 0.9 -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TESTING -code GP -pre Phonemes -post Hidden -lesion 1.0

quit


