export root
export epch
set root = SM-nsyl.100.raw.tan.dt01m2
read SM-nsyl.100.raw.tan.dt2m2.test.in

set currentNet.extension.dt			= 0.01
set currentNet.extension.graceTimePerSlice	= 0.0
set currentNet.extension.minTimePerSlice	= 0.0
set currentNet.extension.maxTimePerSlice	= 10.0
set currentNet.extension.timeAverageInputs 	= 1
set currentNet.extension.initialUnitOutput	= 0.5
set currentNet.extension.nonExtremalTarget	= 0.0
set currentNet.extension.zeroErrorRadius 	= 0.0

set currentNet.extension.correctTolerance	= 0.0	# diff from 0.5

set currentNet.extension.outputChangeTolerance	= 0.0005
set currentNet.extension.useAveOutputChange	= 0

set currentNet.extension.respProbCrit	 	= 0.0
set currentNet.extension.respProbNoise	 	= 0.0

addTrace afterExample 'print "time" currentNet.extension.aveTime "%-8.6g"'

set epch = 1870
echo loadPDPweights ../pdpwts/$root.$epch.pdpwts
     loadPDPweights ../pdpwts/$root.$epch.pdpwts

echo "VALIDATION set is Taraban & McClelland words."
pronounce -nopr -orth nsyl -phon nsyl -type VALIDATION

quit

